name: linuxserver-syncthing
services:
  app:
    image: linuxserver/syncthing:2.0.14
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
    ports:
      - target: 8384
        published: 8384
        protocol: tcp
      - target: 22000
        published: 22000
        protocol: tcp
      - target: 22000
        published: 22000
        protocol: udp
      - target: 21027
        published: 21027
        protocol: udp
    volumes:
      - type: bind
        source: /srv/lsio/syncthing/config
        target: /config
      - type: bind
        source: /srv/lsio/syncthing/data1
        target: /data1
      - type: bind
        source: /srv/lsio/syncthing/data2
        target: /data2
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Syncthing replaces proprietary sync and cloud services with something open, trustworthy and decentralized. Your data is your data alone and you deserve to choose where it is stored, if it is shared with some third party and how it's transmitted over the Internet.
  tagline:
    en_us: Replaces proprietary sync and cloud services with something open, trustworthy and decentralized. Your data is your data alone and you deserve to choose where it is stored, if it is shared with some third party and how it's transmitted over the Internet.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/syncthing-banner.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/syncthing-banner.png
  title:
    en_us: Syncthing
  category: LinuxServer.io
